# Class CreateUserWithAuthDto

Namespace
  adas_core.Domain.Models.DTO

Assembly
  adas-core.Domain.dll

Represents a data transfer object used to create a user along with authentication details.

    public class CreateUserWithAuthDto

Inheritance
  object
  CreateUserWithAuthDto

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Authorizations

    public List<Authorization> Authorizations { get; set; }

#### Property Value

List<Authorization>

### User

    public User User { get; set; }

#### Property Value

User